MCP Gateway
ApiPlayground

Create playground session

Create a new playground chat session with selected servers and skills. Requires an active LLM provider.

POST
/api/v1/playground/sessions

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/playground/sessions" \  -H "Content-Type: application/json" \  -d '{}'
{
  "session_id": "string",
  "tool_count": 0,
  "server_count": 0,
  "skill_count": 0,
  "sandbox_image_id": "string",
  "sandbox_image_name": "string",
  "warning": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}